<?php

namespace Teknisa\FIN\Modules\MovimentacaoBancaria\Services;

use Teknisa\FIN\Modules\MovimentacaoBancaria\Factories\Bco51200TipoDeCreditoBancarioFactory;
use Teknisa\Model\Fiscal\Entities\Tpcredbanc;

class Bco51200TipoDeCreditoBancarioService{ 
    
    protected $factory;
    protected $environment;
    
    public function __construct(Bco51200TipoDeCreditoBancarioFactory $factory, $environment) {
        $this->factory = $factory;
        $this->environment = $environment;
    }
    
    public function validarCodigo($row){
        $tpcredbanc = $this->factory->getTpcredbanc($row["CDTPCREDBANC"],$this->environment->getNrOrgTrab());
        if($tpcredbanc != null){ 
            throw new \Exception("Impossível selecionar. Registro já existe.");
        }
    }
    
}